<section class="tracks">
  <span class="tracks__play" (click)="playMedia()"
    ><i class="fa-solid fa-play"></i
  ></span>
  <table class="tracks__table">
    <thead class="tracks__head">
      <tr class="tracks__title">
        <td>#</td>
        <td>Título</td>
        <td class="favorites">
          <i class="fa-heart fa-solid"></i>
        </td>
      </tr>
    </thead>
    <tbody>
      <tr class="tracks__item" *ngFor="let track of tracks; let i = index">
        <td (click)="playTrack(track.id)">
          <i class="fa-solid fa-play tracks__number--hover"></i>
          <span class="tracks__number">{{ i + 1 }}</span>
        </td>
        <td (click)="playTrack(track.id)" class="tracks__content">
          <img
            *ngIf="type === 'playlist' || type === 'favorites'"
            [src]="track.album.images[0].url"
            alt=""
          />

          <div class="tracks__info">
            <span class="tracks__name">{{ track.name }}</span>
            <span class="tracks__owner" *ngFor="let artist of track.artists">
              {{ artist.name }}
            </span>
          </div>
        </td>
        <td
          *ngIf="(favorites | async).includes(track.id); else noFavorites"
          (click)="removeFavorite(track.id)"
          class="favorites"
        >
          <i class="favorites__solid fa-heart fa-solid"></i>
        </td>
        <ng-template #noFavorites>
          <td class="favorites" (click)="addFavorite(track.id)">
            <i class="favorites__heart fa-heart fa-regular"></i>
          </td>
        </ng-template>
      </tr>
    </tbody>
  </table>
</section>
